> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop and delete a sandbox

> Stop and delete a sandbox

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Sandbox identifier
</ParamField>

### Response

`object`

<ResponseField name="success" type="boolean" required />

<ResponseField name="usage" type="object">
  Final usage report for the sandbox. Omitted when usage reporting failed.

  <Expandable title="usage">
    <ResponseField name="duration_ms" type="integer" />

    <ResponseField name="cpu_ms" type="integer" />

    <ResponseField name="memory_gb_ms" type="integer" />

    <ResponseField name="network_bytes_in" type="integer" />

    <ResponseField name="network_bytes_out" type="integer" />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning           |
| ----- | ----------------- |
| `200` | Sandbox stopped   |
| `404` | Sandbox not found |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/stop' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "usage": {
      "duration_ms": 8,
      "cpu_ms": 250,
      "memory_gb_ms": 250,
      "network_bytes_in": 1,
      "network_bytes_out": 1
    }
  }
  ```
</ResponseExample>
